Update an L7 Load Balancer

PUT/v1/load_balancers/l7/{id}

To update parameters of an L7 balancer, send a PUT request to the /v1/load_balancers/l7/{id} endpoint.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

A unique identifier of a balancer.

Request Body

application/json

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/load_balancers/l7/pmbk55ez" \  -H "Content-Type: application/json" \  -d '{    "cluster_id": null,    "shared_cluster": null,    "name": "name722",    "store_logs": true,    "store_logs_region_id": 0,    "geoip": "false",    "new_external_ips_count": 2,    "delete_external_ips": [      "101.0.0.52"    ],    "vhost_zones": [      {        "id": "name723",        "ports": [          422        ],        "ssl": true,        "http2": true,        "ssl_certificate_id": "4oeElkd0",        "domains": [          "example-799.com"        ],        "location_zones": [          {            "location": "/path29",            "upstream_path": "/path30",            "upstream_id": "name724"          }        ],        "real_ip_header": {          "name": "forwarded_for",          "networks": [            "127.0.0.1/16",            "192.168.0.1/32"          ]        }      }    ],    "upstream_zones": [      {        "id": "name724",        "ssl": true,        "upstreams": [          {            "ip": "10.0.8.4",            "port": 423,            "weight": 1          }        ]      }    ],    "labels": {      "environment": "production",      "service": "my-web-app",      "example.com/project": "my-project",      "example.com/owner": "my-team"    }  }'
{  "id": "pmbk55ez",  "name": "name726",  "type": "l7",  "status": "active",  "external_addresses": [    "101.0.0.53"  ],  "location_id": 726,  "redirect_http": false,  "geoip": false,  "geoip_enabled": false,  "store_logs": false,  "domains": [    "example-803.com"  ],  "vhost_zones": [    {      "ssl": false,      "http2": false,      "http2_push_preload": false,      "http_to_https_redirect": false,      "proxy_request_headers": [],      "id": "string90",      "ports": [        429      ],      "domains": [        "example-803.com"      ],      "location_zones": [        {          "upstream_path": "/path32",          "location": "/path31",          "redirect": false,          "upstream_id": "string89"        }      ]    }  ],  "upstream_zones": [    {      "method": "least_conn",      "hc_interval": 3000,      "hc_jitter": 3,      "hc_fails": 1,      "hc_passes": 3,      "grpc": false,      "sticky": true,      "ssl": false,      "hc_path": "/",      "hc_method": "GET",      "id": "string89",      "upstreams": [        {          "ip": "10.0.8.4",          "port": 428,          "weight": 1,          "max_conns": 63000,          "max_fails": 0,          "fail_timeout": 30,          "status": "unknown"        }      ]    }  ],  "labels": {},  "cluster_id": null,  "shared_cluster": true,  "created_at": "2026-05-28T06:59:57Z",  "updated_at": "2026-05-28T06:59:58Z"}
{  "id": "olej2Rej",  "name": "name722",  "type": "l7",  "status": "in_process",  "external_addresses": [],  "location_id": 724,  "redirect_http": false,  "geoip": false,  "geoip_enabled": false,  "store_logs": true,  "domains": [    "example-799.com"  ],  "vhost_zones": [    {      "ssl": true,      "http2": true,      "http2_push_preload": false,      "http_to_https_redirect": false,      "proxy_request_headers": [],      "id": "name723",      "ports": [        422      ],      "domains": [        "example-799.com"      ],      "location_zones": [        {          "upstream_path": "/path30",          "location": "/path29",          "upstream_id": "name724"        }      ],      "real_ip_header": {        "name": "forwarded_for",        "networks": [          "127.0.0.1/16",          "192.168.0.1/32"        ]      },      "ssl_certificate_id": "4oeElkd0"    }  ],  "upstream_zones": [    {      "method": "random.least_conn",      "hc_interval": 5,      "hc_jitter": 5,      "hc_fails": 1,      "hc_passes": 3,      "grpc": false,      "sticky": true,      "ssl": true,      "hc_path": "/",      "hc_method": "GET",      "id": "name724",      "upstreams": [        {          "ip": "10.0.8.4",          "port": 423,          "weight": 1,          "max_conns": 63000,          "max_fails": 0,          "fail_timeout": 30,          "status": "unknown"        }      ]    }  ],  "labels": {    "environment": "production",    "service": "my-web-app",    "example.com/project": "my-project",    "example.com/owner": "my-team"  },  "cluster_id": null,  "shared_cluster": true,  "created_at": "2026-05-28T06:59:56Z",  "updated_at": "2026-05-28T06:59:57Z"}
{  "message": "Not found",  "code": "NOT_FOUND"}
{  "message": "Inactive load balancer update error",  "code": "INACTIVE_LOAD_BALANCER_UPDATE_ERROR"}
{  "message": "Validation failed",  "code": "UNPROCESSABLE_ENTITY",  "errors": {    "store_logs": "must be boolean",    "store_logs_region_id": "must be filled"  }}